/**
 * The {@link @roots/bud-babel# | @roots/bud-babel extension} adds Babel
 * transpilation to {@link @roots/bud-framework# | @roots/bud-framework}.

 * @see https://roots.io/bud
 * @see https://github.com/roots/bud
 *
 * @extension @packageDocumentation @betaDocumentation
 */
import { Item, Loader } from '@roots/bud-build';
import { BudBabelExtension } from './BudBabelExtension';
import { Config } from './Config';
import { DEFAULT_PLUGINS, DEFAULT_PRESETS } from './constants';
declare module '@roots/bud-framework' {
    interface Framework {
        babel: Config;
    }
    interface Modules {
        '@roots/bud-babel': typeof BudBabelExtension;
    }
    interface Loaders {
        babel: Loader;
    }
    interface Items {
        babel: Item;
    }
}
export { Config };
export { DEFAULT_PLUGINS, DEFAULT_PRESETS };
export declare const name: string, register: import("@roots/bud-framework").Factory<[import("@roots/bud-framework").Framework], unknown>, boot: import("@roots/bud-framework").Factory<[import("@roots/bud-framework").Framework], unknown>;
//# sourceMappingURL=index.d.ts.map